| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# NTuple::_Item< TYP > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::_Item< TYP >:

[legend]
Collaboration diagram for NTuple::_Item< TYP >:

[legend]

List of all members.

## Detailed Description

### template<class TYP>
class NTuple::_Item< TYP >

Abstract class describing a column in a N tuple.

Definition at line 127 of file NTuple.h.

## Public Member Functions
template<class T>
_Item< TYP > & | operator= (const _Item< T > &copy)
| Assignment operator.
void | set (const TYP &item)
| Access to data by reference.
virtual TYP | get () const
| Access to data by reference (CONST).
## Static Public Member Functions
static _Item * | create (INTuple *tup, const std::string &name, const std::type_info &info, TYP min, TYP max, TYP def)
| Create instance.

## Member Function Documentation

template<class TYP>

NTuple::_Item< TYP > * NTuple::_Item< TYP >::create | ( | INTuple * | tup,
|  | const std::string & | name,
|  | const std::type_info & | info,
|  | TYP | min,
|  | TYP | max,
|  | TYP | def |
| ) |  |  | `[inline, static]`

Create instance.

Definition at line 27 of file NTupleItems.cpp.

    00027                                                                                                             {
    00028   _ItemImp<TYP>* result = new _ItemImp<TYP>(tup, name, info, min, max, def);
    00029   return result;
    00030 }

template<class TYP>
template<class T>

_Item<TYP>& NTuple::_Item< TYP >::operator= | ( | const _Item< T > & | copy | ) | `[inline]`

Assignment operator.

Definition at line 138 of file NTuple.h.

    00138                                                   {
    00139       *this->m_buffer = copy.get();
    00140       return *this;
    00141     }

template<class TYP>

void NTuple::_Item< TYP >::set | ( | const TYP & | item | ) | `[inline]`

Access to data by reference.

Definition at line 143 of file NTuple.h.

    00143 { *this->m_buffer = item;             }

template<class TYP>

virtual TYP NTuple::_Item< TYP >::get | ( |  | ) | const`[inline, virtual]`

Access to data by reference (CONST).

Definition at line 145 of file NTuple.h.

    00145 { return *this->m_buffer;             }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/NTuple.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/src/Lib/NTupleItems.cpp